NFPM(1)

NAME
nfpm - Packages apps on RPM, Deb, APK, Arch Linux, and ipk formats based on a YAML configuration file

SYNOPSIS
nfpm [options...] [argument...]

DESCRIPTION
nFPM is a simple and 0-dependencies apk, arch, deb, ipk and rpm linux packager written in Go.

COMMANDS

completion
    Generate the autocompletion script for the specified shell

COMMANDS
    bash
        Generate the autocompletion script for bash

    OPTIONS
        --no-descriptions disable completion descriptions

    fish
        Generate the autocompletion script for fish

    OPTIONS
        --no-descriptions disable completion descriptions

    powershell
        Generate the autocompletion script for powershell

    OPTIONS
        --no-descriptions disable completion descriptions

    zsh
        Generate the autocompletion script for zsh

    OPTIONS
        --no-descriptions disable completion descriptions

help [command]
    Help about any command

init
    Creates a sample nfpm.yaml configuration file

OPTIONS
    -f, --config path to the to-be-created config file

jsonschema
    Outputs nFPM's JSON schema

OPTIONS
    -o, --output where to save the json schema

package
    Creates a package based on the given config file and flags

OPTIONS
    -f, --config config file to be used

    -p, --packager
        which packager implementation to use [apk|archlinux|deb|ipk|rpm|srpm]

    -t, --target
        where to save the generated package (filename, folder or empty for current folder)